Package wx :: Package lib :: Module flatnotebook :: Class TabNavigatorWindow

[frames | no frames]

## Type TabNavigatorWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                                TabNavigatorWindow

This class is used to create a modal dialog that enables "Smart Tabbing", similar to what you would get by hitting Alt+Tab on Windows.

Method Summary
| ``__init__`(self, parent)` Default class constructor.
| ``CloseDialog`(self)` Closes the `TabNavigatorWindow` dialog, setting selection in `FlatNotebook`.
| ``OnItemSelected`(self, event)` Handles the wx.EVT_LISTBOX_DCLICK event for the wx.ListBox inside `TabNavigatorWindow`.
| ``OnKeyUp`(self, event)` Handles the wx.EVT_KEY_UP for the `TabNavigatorWindow`.
| ``OnNavigationKey`(self, event)` Handles the wx.EVT_NAVIGATION_KEY for the `TabNavigatorWindow`.
| ``OnPanelEraseBg`(self, event)` Handles the wx.EVT_ERASE_BACKGROUND event for `TabNavigatorWindow` top panel.
| ``OnPanelPaint`(self, event)` Handles the wx.EVT_PAINT event for `TabNavigatorWindow` top panel.
| ``PopulateListControl`(self, book)` Populates the `TabNavigatorWindow` listbox with a list of tabs.

Property Summary

Class Variable Summary

Instance Method Details

### __init__(self, parent=None)
(Constructor)

Default class constructor. Used internally.

  Overrides:
    `wx.Dialog.__init__`

### CloseDialog(self)

Closes the `TabNavigatorWindow` dialog, setting selection in `FlatNotebook`.

### OnItemSelected(self, event)

Handles the wx.EVT_LISTBOX_DCLICK event for the wx.ListBox inside `TabNavigatorWindow`.

### OnKeyUp(self, event)

Handles the wx.EVT_KEY_UP for the `TabNavigatorWindow`.

### OnNavigationKey(self, event)

Handles the wx.EVT_NAVIGATION_KEY for the `TabNavigatorWindow`.

### OnPanelEraseBg(self, event)

Handles the wx.EVT_ERASE_BACKGROUND event for `TabNavigatorWindow` top panel.

### OnPanelPaint(self, event)

Handles the wx.EVT_PAINT event for `TabNavigatorWindow` top panel.

### PopulateListControl(self, book)

Populates the `TabNavigatorWindow` listbox with a list of tabs.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:53 2007 | http://epydoc.sf.net